Commits

stretchedthin committed 65a6c9e

mplayerskins with bad removed'

  • Participants
  • Parent commits 1628ddf
  • Branches veclinux-7.0

Comments (0)

Files changed (11)

File var/vabs/mplayerskins/src/mplayerskins.SlackBuild

-#!/usr/bin/bash
-# This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .txz package, slack-desc,
-# and slack-required will be found in "VERSION" dir. The extraction and
-# build will be in a temp dir created in "NAME" dir, and then removed on exit.
-# Comment out second to last line to keep this dir intact.
-#
-# This Template was compiled from the contributions of many users of the Vector
-# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
-# from all over the internet. 
-#
-# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
-# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
-#
-# Please put your name below if you add some original scripting lines.
-# AUTHORS = 
-
-NAME="mplayerskins"            #Enter package Name!
-VERSION=${VERSION:-"Part1_20121116"}      #Enter package Version!
-VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
-LINK[1]="http://www.mplayerhq.hu/MPlayer/skins/Abyss-1.7.tar.bz2" #Enter URL for package here!
-LINK[2]="http://www.mplayerhq.hu/MPlayer/skins/AlienMind-1.2.tar.bz2"  #Enter URL for package here!
-LINK[3]="http://www.mplayerhq.hu/MPlayer/skins/Ater-1.2.tar.bz2"  #Enter URL for package here!
-LINK[4]="http://www.mplayerhq.hu/MPlayer/skins/Blue-small-1.5.tar.bz2"  #Enter URL for package here!
-LINK[5]="http://www.mplayerhq.hu/MPlayer/skins/BlueHeart-1.5.tar.bz2"  #Enter URL for package here!
-LINK[6]="http://www.mplayerhq.hu/MPlayer/skins/Canary-1.2.tar.bz2"  #Enter URL for package here!
-LINK[7]="http://www.mplayerhq.hu/MPlayer/skins/WMP6-2.2.tar.bz2"  #Enter URL for package here!
-LINK[8]="http://www.mplayerhq.hu/MPlayer/skins/Corelian-1.1.tar.bz2"  #Enter URL for package here!
-LINK[9]="http://www.mplayerhq.hu/MPlayer/skins/CornerMP-1.2.tar.bz2"  #Enter URL for package here!
-LINK[10]="http://www.mplayerhq.hu/MPlayer/skins/CornerMP-aqua-1.4.tar.bz2"  #Enter URL for package here!
-LINK[11]="http://www.mplayerhq.hu/MPlayer/skins/CubicPlayer-1.1.tar.bz2"  #Enter URL for package here!
-LINK[12]="http://www.mplayerhq.hu/MPlayer/skins/XFce4-1.0.tar.bz2"  #Enter URL for package here!
-LINK[13]="http://www.mplayerhq.hu/MPlayer/skins/Cyrus-1.2.tar.bz2"  #Enter URL for package here!
-LINK[14]="http://www.mplayerhq.hu/MPlayer/skins/DVDPlayer-1.1.tar.bz2"  #Enter URL for package here!
-LINK[15]="http://www.mplayerhq.hu/MPlayer/skins/Dushku-1.2.tar.bz2"  #Enter URL for package here!
-LINK[16]="http://www.mplayerhq.hu/MPlayer/skins/ICY-1.0.tar.bz2"  #Enter URL for package here!
-LINK[17]="http://www.mplayerhq.hu/MPlayer/skins/Industrial-1.0.tar.bz2"  #Enter URL for package here!
-LINK[18]="http://www.mplayerhq.hu/MPlayer/skins/JiMPlayer-1.4.tar.bz2"  #Enter URL for package here!
-LINK[19]="http://www.mplayerhq.hu/MPlayer/skins/KDE-0.3.tar.bz2"  #Enter URL for package here!
-LINK[20]="http://www.mplayerhq.hu/MPlayer/skins/Linea-1.0.tar.bz2"  #Enter URL for package here!
-LINK[21]="http://www.mplayerhq.hu/MPlayer/skins/MidnightLove-1.6.tar.bz2"  #Enter URL for package here!
-LINK[22]="http://www.mplayerhq.hu/MPlayer/skins/OSX-Brushed-2.3.tar.bz2"  #Enter URL for package here!
-LINK[23]="http://www.mplayerhq.hu/MPlayer/skins/OSX-Mod-1.1.tar.bz2"  #Enter URL for package here!
-LINK[24]="http://www.mplayerhq.hu/MPlayer/skins/OpenDoh-1.1.tar.bz2"  #Enter URL for package here!
-LINK[25]="http://www.mplayerhq.hu/MPlayer/skins/Orange-1.3.tar.bz2"  #Enter URL for package here!
-LINK[26]="http://www.mplayerhq.hu/MPlayer/skins/PowerPlayer-1.1.tar.bz2"  #Enter URL for package here!
-LINK[27]="http://www.mplayerhq.hu/MPlayer/skins/QPlayer-1.2.tar.bz2"  #Enter URL for package here!
-LINK[28]="http://www.mplayerhq.hu/MPlayer/skins/QuickSilver-1.0.tar.bz2"  #Enter URL for package here!
-LINK[29]="http://www.mplayerhq.hu/MPlayer/skins/Terminator3-1.1.tar.bz2"  #Enter URL for package here!
-
-
-#SYSTEM VARIABLES
-#----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"2"}
-VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
-BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
-ARCH=${ARCH:-"$(uname -m)"}
-CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
-LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
-ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
-EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
-#----------------------------------------------------------------------------
-
-# DO NOT EXECUTE if NORUN is set to 1
-if [ "$NORUN" != "1" ]; then
-
-#SETUP PACKAGING ENVIRONMENT
-#--------------------------------------------
-CWD=$(pwd)
-cd ../
-RELEASEDIR=$(pwd)
-cd $CWD
-mkdir -p $RELEASEDIR/tmp
-TMP=$RELEASEDIR/tmp
-PKG=$TMP/package-$NAME
-#--------------------------------------------
-
-
-
-if [ $UID != 0 ]; then
-   echo "You are not authorized to run this script. Please login as root"
-   exit 1
-fi
-
-if [ ! -x /usr/bin/requiredbuilder ]; then
-   echo "Requiredbuilder not installed, or not executable."
-   exit 1
-fi
-
-if [ $VL_PACKAGER = "YOURNAME" ]; then
-   echo 'Who are you?
-   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
-   Change the word "YOURNAME" to your VectorLinux packager name.
-   You may also export VL_PACKAGER, or call this script with
-   VL_PACKAGER="YOUR NAME HERE"'
-   exit 1
-fi
-
-
-#CFLAGS SETUP
-#--------------------------------------------
-if [[ "$ARCH" = i?86 ]]; then
-  ARCH=i586
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i486-slackware-linux"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fpic"
-  CONFIGURE_TRIPLET="x86_64-slackware-linux"
-  LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "powerpc" ]; then
-  SLKCFLAGS="-O2"
-  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
-  LIBDIRSUFFIX=""
-fi
-
-export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
-export CXXFLAGS=$CFLAGS
-export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
-#--------------------------------------------
-
-
-#GET THE SOURCE
-#--------------------------------------------
-for i in {1..29}
-do
-echo ${LINK[$i]} 
-for SRC in $(echo ${LINK[$i]});do
-if [ ! -f $CWD/$(basename $SRC) ]
-then
-       
-        wget --no-check-certificate -c $SRC
-fi
-done
-done
-#--------------------------------------------
-
-
-rm -rf $PKG
-cd $TMP
-rm -rf $NAME-$VERSION
-
-mkdir -p $PKG
-mkdir -p $PKG/usr/share/mplayer/skins
-
-#EXTRACT SOURCES
-#-----------------------------------------------------
-cd $PKG/usr/share/mplayer/skins
-echo "Extracting source..."
-find $CWD -name "*tar.*" -exec tar xvf {} \; || exit 1
-#this moves whatever was extracted to the std dirname we are expecting
-
-
-#-----------------------------------------------------
-
-
-cd $TMP/$NAME-$VERSION
-
-
-#PATCHES
-#-----------------------------------------------------
-# Put any Patches here *NOTE this only works if all 
-# your patches use the -p1 strip option!
-#-----------------------------------------------------
-for i in $CWD/patches/*;do
-  patch -p1 <$i
-  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
-  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
-done
-#-----------------------------------------------------
- 
- 
-
-#SET PERMISSIONS
-#-----------------------------------------
-echo "Setting permissions..."
-chown -R root:root .
-find . -perm 664 -exec chmod 644 {} \;
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 2777 -exec chmod 755 {} \;
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 2755 -exec chmod 755 {} \;
-find . -perm 774 -exec chmod 644 {} \;
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 600 -exec chmod 644 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-find . -perm 400 -exec chmod 644 {} \;
-find . -perm 440 -exec chmod 644 {} \;
-find . -perm 511 -exec chmod 755 {} \;
-find . -perm 711 -exec chmod 755 {} \;
-find . -perm 555 -exec chmod 755 {} \;
-#-----------------------------------------
-mkdir -p $PKG/install/
-
-
-
-#if there is a slack-desc in src dir use it
-if test -f $CWD/slack-desc; then
-cp $CWD/slack-desc $RELEASEDIR/slack-desc
-else
-# This creates the white space in front of "handy-ruler" in slack-desc below.
-
-LENGTH=$(expr length "$NAME")
-SPACES=0
-SHIM=""
-until [ "$SPACES" = "$LENGTH" ]; do
-SHIM="$SHIM "
-let SPACES=$SPACES+1
-done
-
-# Fill in the package summary between the () below.
-# Then package the description, License, Author and Website.
-# There may be no more then 11 $NAME: lines in a valid slack-desc.
-
-cat > $RELEASEDIR/slack-desc << EOF
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-$SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: $NAME (Collections of Skins for MPlayer)
-$NAME:
-$NAME: This is the first of 2 collections of MPlayer skins that are 
-$NAME: available at http://www.mplayerhq.hu/MPlayer/skins/
-$NAME: 
-$NAME: 
-$NAME:
-$NAME:
-$NAME: License: GPL
-$NAME: Authors: 
-$NAME: Website: http://www.mplayerhq.hu/MPlayer/skins/
-
-EOF
-fi
-cat >> $RELEASEDIR/slack-desc << EOF
-
-
-
-#----------------------------------------
-BUILDDATE: $(date)
-PACKAGER:  $VL_PACKAGER
-HOST:      $(uname -srm)
-DISTRO:    $(cat /etc/vector-version)
-CFLAGS:    $CFLAGS
-LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
-
-EOF
-
-cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
-
-#STRIPPING
-#------------------------------------------------------------------------------------------------------------------
-cd $PKG
-echo " "
-echo "Stripping...."
-echo " "
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-#------------------------------------------------------------------------------------------------------------------
-
-
-#FINISH PACKAGE
-#--------------------------------------------------------------
-echo "Finding dependencies..."
-ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
-echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
-makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
-
-cd $CWD
-echo "Cleaning up temp files..." && rm -rf $TMP
-echo "Package Complete"
-fi
-#--------------------------------------------------------------
-
-# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/mplayerskins/src/slack-desc

-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-            |-----handy-ruler------------------------------------------------------|
-mplayerskins: mplayerskins (Collections of Skins for MPlayer)
-mplayerskins:
-mplayerskins: This is the first of 2 collections of MPlayer skins that are 
-mplayerskins: available at http://www.mplayerhq.hu/MPlayer/skins/
-mplayerskins: 
-mplayerskins: 
-mplayerskins:
-mplayerskins:
-mplayerskins: License: GPL
-mplayerskins: Authors: 
-mplayerskins: Website: http://www.mplayerhq.hu/MPlayer/skins/
-
-
-
-
-#----------------------------------------
-BUILDDATE: Sat Nov 17 00:42:46 MST 2012
-PACKAGER:  stretchedthin
-HOST:      Linux 3.0.8 i686
-DISTRO:    7.0 STD GOLD built on NOV-21-2011
-CFLAGS:    -O2 -march=i586 -mtune=i686 
-LDFLAGS:    
-CONFIGURE: 
-

File var/vabs/mplayerskins2/src/mplayerskins2.SlackBuild

-#!/usr/bin/bash
-# This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .txz package, slack-desc,
-# and slack-required will be found in "VERSION" dir. The extraction and
-# build will be in a temp dir created in "NAME" dir, and then removed on exit.
-# Comment out second to last line to keep this dir intact.
-#
-# This Template was compiled from the contributions of many users of the Vector
-# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
-# from all over the internet. 
-#
-# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
-# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
-#
-# Please put your name below if you add some original scripting lines.
-# AUTHORS = 
-
-NAME="mplayerskins"            #Enter package Name!
-VERSION=${VERSION:-"Part2_20121116"}      #Enter package Version!
-VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
-LINK[1]="http://www.mplayerhq.hu/MPlayer/skins/avifile-1.6.tar.bz2" #Enter URL for package here!
-LINK[2]="http://www.mplayerhq.hu/MPlayer/skins/bluecurve-1.3.tar.bz2"  #Enter URL for package here!
-LINK[3]="http://www.mplayerhq.hu/MPlayer/skins/brushedGnome-1.0.tar.bz2"  #Enter URL for package here!
-LINK[4]="http://www.mplayerhq.hu/MPlayer/skins/changuito-0.2.tar.bz2"  #Enter URL for package here!
-LINK[5]="http://www.mplayerhq.hu/MPlayer/skins/clearplayer-0.9.tar.bz2"  #Enter URL for package here!
-LINK[6]="http://www.mplayerhq.hu/MPlayer/skins/disappearer-1.1.tar.bz2"  #Enter URL for package here!
-LINK[7]="http://www.mplayerhq.hu/MPlayer/skins/divxplayer-1.3.tar.bz2"  #Enter URL for package here!
-LINK[8]="http://www.mplayerhq.hu/MPlayer/skins/gnome-1.1.tar.bz2"  #Enter URL for package here!
-LINK[9]="http://www.mplayerhq.hu/MPlayer/skins/handheld-1.0.tar.bz2"  #Enter URL for package here!
-LINK[10]="http://www.mplayerhq.hu/MPlayer/skins/hayraphon-1.0.tar.bz2"  #Enter URL for package here!
-LINK[11]="http://www.mplayerhq.hu/MPlayer/skins/hwswskin-1.3.tar.bz2"  #Enter URL for package here!
-LINK[12]="http://www.mplayerhq.hu/MPlayer/skins/iTunes-1.1.tar.bz2"  #Enter URL for package here!
-LINK[13]="http://www.mplayerhq.hu/MPlayer/skins/krystal-1.1.tar.bz2" #Enter URL for package here!
-LINK[14]="http://www.mplayerhq.hu/MPlayer/skins/mentalic-1.2.tar.bz2"  #Enter URL for package here!
-LINK[15]="http://www.mplayerhq.hu/MPlayer/skins/mini-0.1.tar.bz2"  #Enter URL for package here!
-LINK[16]="http://www.mplayerhq.hu/MPlayer/skins/moonphase-1.0.tar.bz2"  #Enter URL for package here!
-LINK[17]="http://www.mplayerhq.hu/MPlayer/skins/mplayer_red-1.0.tar.bz2"  #Enter URL for package here!
-LINK[18]="http://www.mplayerhq.hu/MPlayer/skins/nativeRed-1.1.tar.bz2"  #Enter URL for package here!
-LINK[19]="http://www.mplayerhq.hu/MPlayer/skins/netscape4-1.0.tar.bz2"  #Enter URL for package here!
-LINK[20]="http://www.mplayerhq.hu/MPlayer/skins/neutron-1.5.tar.bz2"  #Enter URL for package here!
-LINK[21]="http://www.mplayerhq.hu/MPlayer/skins/new-age-1.0.tar.bz2"  #Enter URL for package here!
-LINK[22]="http://www.mplayerhq.hu/MPlayer/skins/pcland-1.0.tar.bz2" #Enter URL for package here!
-LINK[23]="http://www.mplayerhq.hu/MPlayer/skins/phony-1.1.tar.bz2"  #Enter URL for package here!
-LINK[24]="http://www.mplayerhq.hu/MPlayer/skins/plastic-1.2.tar.bz2"  #Enter URL for package here!
-LINK[25]="http://www.mplayerhq.hu/MPlayer/skins/plastik-2.0.tar.bz2"  #Enter URL for package here!
-LINK[26]="http://www.mplayerhq.hu/MPlayer/skins/productive-1.0.tar.bz2"  #Enter URL for package here!
-LINK[27]="http://www.mplayerhq.hu/MPlayer/skins/proton-1.2.tar.bz2"  #Enter URL for package here!
-LINK[28]="http://www.mplayerhq.hu/MPlayer/skins/sessene-1.0.tar.bz2"  #Enter URL for package here!
-LINK[29]="http://www.mplayerhq.hu/MPlayer/skins/slim-1.2.tar.bz2" #Enter URL for package here!
-LINK[30]="http://www.mplayerhq.hu/MPlayer/skins/smoothwebby-1.1.tar.bz2"  #Enter URL for package here!
-LINK[31]="http://www.mplayerhq.hu/MPlayer/skins/softgrip-1.1.tar.bz2" #Enter URL for package here!
-LINK[32]="http://www.mplayerhq.hu/MPlayer/skins/standard-1.9.tar.bz2"  #Enter URL for package here!
-LINK[33]="http://www.mplayerhq.hu/MPlayer/skins/trium-1.3.tar.bz2" #Enter URL for package here!
-LINK[34]="http://www.mplayerhq.hu/MPlayer/skins/tvisor-1.1.tar.bz2"  #Enter URL for package here!
-LINK[35]="http://www.mplayerhq.hu/MPlayer/skins/ultrafina-1.1.tar.bz2" #Enter URL for package here!
-LINK[36]="http://www.mplayerhq.hu/MPlayer/skins/webby-1.3.tar.bz2"  #Enter URL for package here!
-LINK[37]="http://www.mplayerhq.hu/MPlayer/skins/xanim-1.6.tar.bz2" #Enter URL for package here!
-LINK[38]="http://www.mplayerhq.hu/MPlayer/skins/xine-lcd-1.2.tar.bz2"  #Enter URL for package here!
-LINK[39]="http://www.mplayerhq.hu/MPlayer/skins/xmmplayer-1.5.tar.bz2" #Enter URL for package here!
-
-#SYSTEM VARIABLES
-#----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"1"}
-VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
-BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
-ARCH=${ARCH:-"$(uname -m)"}
-CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
-LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
-ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
-EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
-#----------------------------------------------------------------------------
-
-# DO NOT EXECUTE if NORUN is set to 1
-if [ "$NORUN" != "1" ]; then
-
-#SETUP PACKAGING ENVIRONMENT
-#--------------------------------------------
-CWD=$(pwd)
-cd ../
-RELEASEDIR=$(pwd)
-cd $CWD
-mkdir -p $RELEASEDIR/tmp
-TMP=$RELEASEDIR/tmp
-PKG=$TMP/package-$NAME
-#--------------------------------------------
-
-
-
-if [ $UID != 0 ]; then
-   echo "You are not authorized to run this script. Please login as root"
-   exit 1
-fi
-
-if [ ! -x /usr/bin/requiredbuilder ]; then
-   echo "Requiredbuilder not installed, or not executable."
-   exit 1
-fi
-
-if [ $VL_PACKAGER = "YOURNAME" ]; then
-   echo 'Who are you?
-   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
-   Change the word "YOURNAME" to your VectorLinux packager name.
-   You may also export VL_PACKAGER, or call this script with
-   VL_PACKAGER="YOUR NAME HERE"'
-   exit 1
-fi
-
-
-#CFLAGS SETUP
-#--------------------------------------------
-if [[ "$ARCH" = i?86 ]]; then
-  ARCH=i586
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i486-slackware-linux"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fpic"
-  CONFIGURE_TRIPLET="x86_64-slackware-linux"
-  LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "powerpc" ]; then
-  SLKCFLAGS="-O2"
-  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
-  LIBDIRSUFFIX=""
-fi
-
-export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
-export CXXFLAGS=$CFLAGS
-export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
-#--------------------------------------------
-
-
-#GET THE SOURCE
-#--------------------------------------------
-for i in {1..30}
-do
-echo ${LINK[$i]} 
-for SRC in $(echo ${LINK[$i]});do
-if [ ! -f $CWD/$(basename $SRC) ]
-then
-       
-        wget --no-check-certificate -c $SRC
-fi
-done
-done
-#--------------------------------------------
-
-
-rm -rf $PKG
-cd $TMP
-rm -rf $NAME-$VERSION
-
-mkdir -p $PKG
-mkdir -p $PKG/usr/share/mplayer/skins
-
-#EXTRACT SOURCES
-#-----------------------------------------------------
-cd $PKG/usr/share/mplayer/skins
-echo "Extracting source..."
-find $CWD -name "*tar.*" -exec tar xvf {} \; || exit 1
-#this moves whatever was extracted to the std dirname we are expecting
-
-
-#-----------------------------------------------------
-
-
-cd $TMP/$NAME-$VERSION
-
-
-#PATCHES
-#-----------------------------------------------------
-# Put any Patches here *NOTE this only works if all 
-# your patches use the -p1 strip option!
-#-----------------------------------------------------
-for i in $CWD/patches/*;do
-  patch -p1 <$i
-  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
-  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
-done
-#-----------------------------------------------------
- 
- 
-
-#SET PERMISSIONS
-#-----------------------------------------
-echo "Setting permissions..."
-chown -R root:root .
-find . -perm 664 -exec chmod 644 {} \;
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 2777 -exec chmod 755 {} \;
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 2755 -exec chmod 755 {} \;
-find . -perm 774 -exec chmod 644 {} \;
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 600 -exec chmod 644 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-find . -perm 400 -exec chmod 644 {} \;
-find . -perm 440 -exec chmod 644 {} \;
-find . -perm 511 -exec chmod 755 {} \;
-find . -perm 711 -exec chmod 755 {} \;
-find . -perm 555 -exec chmod 755 {} \;
-#-----------------------------------------
-
-mkdir -p $PKG/install/
-
-
-#if there is a slack-desc in src dir use it
-if test -f $CWD/slack-desc; then
-cp $CWD/slack-desc $RELEASEDIR/slack-desc
-else
-# This creates the white space in front of "handy-ruler" in slack-desc below.
-
-LENGTH=$(expr length "$NAME")
-SPACES=0
-SHIM=""
-until [ "$SPACES" = "$LENGTH" ]; do
-SHIM="$SHIM "
-let SPACES=$SPACES+1
-done
-
-# Fill in the package summary between the () below.
-# Then package the description, License, Author and Website.
-# There may be no more then 11 $NAME: lines in a valid slack-desc.
-
-cat > $RELEASEDIR/slack-desc << EOF
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-$SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: $NAME (Collections of Skins for MPlayer)
-$NAME:
-$NAME: This is the second of 2 collections of MPlayer skins that are 
-$NAME: available at http://www.mplayerhq.hu/MPlayer/skins/
-$NAME: 
-$NAME: 
-$NAME:
-$NAME:
-$NAME: License: GPL
-$NAME: Authors: 
-$NAME: Website: http://www.mplayerhq.hu/MPlayer/skins/
-
-EOF
-fi
-cat >> $RELEASEDIR/slack-desc << EOF
-
-
-
-#----------------------------------------
-BUILDDATE: $(date)
-PACKAGER:  $VL_PACKAGER
-HOST:      $(uname -srm)
-DISTRO:    $(cat /etc/vector-version)
-CFLAGS:    $CFLAGS
-LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
-
-EOF
-
-cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
-
-#STRIPPING
-#------------------------------------------------------------------------------------------------------------------
-cd $PKG
-echo " "
-echo "Stripping...."
-echo " "
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-#------------------------------------------------------------------------------------------------------------------
-
-
-#FINISH PACKAGE
-#--------------------------------------------------------------
-echo "Finding dependencies..."
-ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
-echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
-makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
-
-cd $CWD
-echo "Cleaning up temp files..." && rm -rf $TMP
-echo "Package Complete"
-fi
-#--------------------------------------------------------------
-
-# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/mplayerskins2/src/slack-desc

-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-            |-----handy-ruler------------------------------------------------------|
-mplayerskins: mplayerskins (Collections of Skins for MPlayer)
-mplayerskins:
-mplayerskins: This is the second of 2 collections of MPlayer skins that are 
-mplayerskins: available at http://www.mplayerhq.hu/MPlayer/skins/
-mplayerskins: 
-mplayerskins: 
-mplayerskins:
-mplayerskins:
-mplayerskins: License: GPL
-mplayerskins: Authors: 
-mplayerskins: Website: http://www.mplayerhq.hu/MPlayer/skins/
-
-
-
-
-#----------------------------------------
-BUILDDATE: Sat Nov 17 01:07:14 MST 2012
-PACKAGER:  stretchedthin
-HOST:      Linux 3.0.8 i686
-DISTRO:    7.0 STD GOLD built on NOV-21-2011
-CFLAGS:    -O2 -march=i586 -mtune=i686 
-LDFLAGS:    
-CONFIGURE: 
-

File var/vabs/mplayerskins_Part1/src/mplayerskins.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="mplayerskins_Part1"            #Enter package Name!
+VERSION=${VERSION:-"20121116"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK[1]="http://www.mplayerhq.hu/MPlayer/skins/Abyss-1.7.tar.bz2" #Enter URL for package here!
+LINK[2]="http://www.mplayerhq.hu/MPlayer/skins/AlienMind-1.2.tar.bz2"  #Enter URL for package here!
+LINK[3]="http://www.mplayerhq.hu/MPlayer/skins/Ater-1.2.tar.bz2"  #Enter URL for package here!
+LINK[4]="http://www.mplayerhq.hu/MPlayer/skins/Blue-small-1.5.tar.bz2"  #Enter URL for package here!
+LINK[5]="http://www.mplayerhq.hu/MPlayer/skins/BlueHeart-1.5.tar.bz2"  #Enter URL for package here!
+LINK[6]="http://www.mplayerhq.hu/MPlayer/skins/Canary-1.2.tar.bz2"  #Enter URL for package here!
+LINK[7]="http://www.mplayerhq.hu/MPlayer/skins/WMP6-2.2.tar.bz2"  #Enter URL for package here!
+LINK[8]="http://www.mplayerhq.hu/MPlayer/skins/Terminator3-1.1.tar.bz2"  #Enter URL for package here!
+LINK[9]="http://www.mplayerhq.hu/MPlayer/skins/CornerMP-1.2.tar.bz2"  #Enter URL for package here!
+LINK[10]="http://www.mplayerhq.hu/MPlayer/skins/CornerMP-aqua-1.4.tar.bz2"  #Enter URL for package here!
+LINK[11]="http://www.mplayerhq.hu/MPlayer/skins/CubicPlayer-1.1.tar.bz2"  #Enter URL for package here!
+LINK[12]="http://www.mplayerhq.hu/MPlayer/skins/XFce4-1.0.tar.bz2"  #Enter URL for package here!
+LINK[13]="http://www.mplayerhq.hu/MPlayer/skins/Cyrus-1.2.tar.bz2"  #Enter URL for package here!
+LINK[14]="http://www.mplayerhq.hu/MPlayer/skins/DVDPlayer-1.1.tar.bz2"  #Enter URL for package here!
+LINK[15]="http://www.mplayerhq.hu/MPlayer/skins/Dushku-1.2.tar.bz2"  #Enter URL for package here!
+LINK[16]="http://www.mplayerhq.hu/MPlayer/skins/ICY-1.0.tar.bz2"  #Enter URL for package here!
+LINK[17]="http://www.mplayerhq.hu/MPlayer/skins/Industrial-1.0.tar.bz2"  #Enter URL for package here!
+LINK[18]="http://www.mplayerhq.hu/MPlayer/skins/JiMPlayer-1.4.tar.bz2"  #Enter URL for package here!
+LINK[19]="http://www.mplayerhq.hu/MPlayer/skins/KDE-0.3.tar.bz2"  #Enter URL for package here!
+LINK[20]="http://www.mplayerhq.hu/MPlayer/skins/Linea-1.0.tar.bz2"  #Enter URL for package here!
+LINK[21]="http://www.mplayerhq.hu/MPlayer/skins/MidnightLove-1.6.tar.bz2"  #Enter URL for package here!
+LINK[22]="http://www.mplayerhq.hu/MPlayer/skins/OSX-Brushed-2.3.tar.bz2"  #Enter URL for package here!
+LINK[23]="http://www.mplayerhq.hu/MPlayer/skins/OSX-Mod-1.1.tar.bz2"  #Enter URL for package here!
+LINK[24]="http://www.mplayerhq.hu/MPlayer/skins/OpenDoh-1.1.tar.bz2"  #Enter URL for package here!
+LINK[25]="http://www.mplayerhq.hu/MPlayer/skins/Orange-1.3.tar.bz2"  #Enter URL for package here!
+LINK[26]="http://www.mplayerhq.hu/MPlayer/skins/PowerPlayer-1.1.tar.bz2"  #Enter URL for package here!
+LINK[27]="http://www.mplayerhq.hu/MPlayer/skins/QPlayer-1.2.tar.bz2"  #Enter URL for package here!
+LINK[28]="http://www.mplayerhq.hu/MPlayer/skins/QuickSilver-1.0.tar.bz2"  #Enter URL for package here!
+
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"2"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = i?86 ]]; then
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i486-slackware-linux"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-slackware-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
+fi
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for i in {1..28}
+do
+echo ${LINK[$i]} 
+for SRC in $(echo ${LINK[$i]});do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+       
+        wget --no-check-certificate -c $SRC
+fi
+done
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+mkdir -p $PKG
+mkdir -p $PKG/usr/share/mplayer/skins
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+cd $PKG/usr/share/mplayer/skins
+echo "Extracting source..."
+find $CWD -name "*tar.*" -exec tar xvf {} \; || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+
+
+#-----------------------------------------------------
+
+
+cd $TMP/$NAME-$VERSION
+
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
+#-----------------------------------------------------
+for i in $CWD/patches/*;do
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
+done
+#-----------------------------------------------------
+ 
+ 
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+mkdir -p $PKG/install/
+
+
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (Collections of Skins for MPlayer)
+$NAME:
+$NAME: This is the first of 2 collections of MPlayer skins that are 
+$NAME: available at http://www.mplayerhq.hu/MPlayer/skins/
+$NAME: 
+$NAME: 
+$NAME:
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: 
+$NAME: Website: http://www.mplayerhq.hu/MPlayer/skins/
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/mplayerskins_Part1/src/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+            |-----handy-ruler------------------------------------------------------|
+mplayerskins: mplayerskins (Collections of Skins for MPlayer)
+mplayerskins:
+mplayerskins: This is the first of 2 collections of MPlayer skins that are 
+mplayerskins: available at http://www.mplayerhq.hu/MPlayer/skins/
+mplayerskins: 
+mplayerskins: 
+mplayerskins:
+mplayerskins:
+mplayerskins: License: GPL
+mplayerskins: Authors: 
+mplayerskins: Website: http://www.mplayerhq.hu/MPlayer/skins/
+
+
+
+
+#----------------------------------------
+BUILDDATE: Sat Nov 17 00:42:46 MST 2012
+PACKAGER:  stretchedthin
+HOST:      Linux 3.0.8 i686
+DISTRO:    7.0 STD GOLD built on NOV-21-2011
+CFLAGS:    -O2 -march=i586 -mtune=i686 
+LDFLAGS:    
+CONFIGURE: 
+

File var/vabs/mplayerskins_Part2/src/mplayerskins2.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="mplayerskins_Part2"            #Enter package Name!
+VERSION=${VERSION:-"20121116"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK[1]="http://www.mplayerhq.hu/MPlayer/skins/xmmplayer-1.5.tar.bz2" #Enter URL for package here!
+LINK[2]="http://www.mplayerhq.hu/MPlayer/skins/bluecurve-1.3.tar.bz2"  #Enter URL for package here!
+LINK[3]="http://www.mplayerhq.hu/MPlayer/skins/xine-lcd-1.2.tar.bz2"  #Enter URL for package here!
+LINK[4]="http://www.mplayerhq.hu/MPlayer/skins/changuito-0.2.tar.bz2"  #Enter URL for package here!
+LINK[5]="http://www.mplayerhq.hu/MPlayer/skins/clearplayer-0.9.tar.bz2"  #Enter URL for package here!
+LINK[6]="http://www.mplayerhq.hu/MPlayer/skins/disappearer-1.1.tar.bz2"  #Enter URL for package here!
+LINK[7]="http://www.mplayerhq.hu/MPlayer/skins/divxplayer-1.3.tar.bz2"  #Enter URL for package here!
+LINK[8]="http://www.mplayerhq.hu/MPlayer/skins/gnome-1.1.tar.bz2"  #Enter URL for package here!
+LINK[9]="http://www.mplayerhq.hu/MPlayer/skins/handheld-1.0.tar.bz2"  #Enter URL for package here!
+LINK[10]="http://www.mplayerhq.hu/MPlayer/skins/hayraphon-1.0.tar.bz2"  #Enter URL for package here!
+LINK[11]="http://www.mplayerhq.hu/MPlayer/skins/hwswskin-1.3.tar.bz2"  #Enter URL for package here!
+LINK[12]="http://www.mplayerhq.hu/MPlayer/skins/iTunes-1.1.tar.bz2"  #Enter URL for package here!
+LINK[13]="http://www.mplayerhq.hu/MPlayer/skins/krystal-1.1.tar.bz2" #Enter URL for package here!
+LINK[14]="http://www.mplayerhq.hu/MPlayer/skins/mentalic-1.2.tar.bz2"  #Enter URL for package here!
+LINK[15]="http://www.mplayerhq.hu/MPlayer/skins/mini-0.1.tar.bz2"  #Enter URL for package here!
+LINK[16]="http://www.mplayerhq.hu/MPlayer/skins/moonphase-1.0.tar.bz2"  #Enter URL for package here!
+LINK[17]="http://www.mplayerhq.hu/MPlayer/skins/mplayer_red-1.0.tar.bz2"  #Enter URL for package here!
+LINK[18]="http://www.mplayerhq.hu/MPlayer/skins/xanim-1.6.tar.bz2" #Enter URL for package here!
+LINK[19]="http://www.mplayerhq.hu/MPlayer/skins/netscape4-1.0.tar.bz2"  #Enter URL for package here!
+LINK[20]="http://www.mplayerhq.hu/MPlayer/skins/neutron-1.5.tar.bz2"  #Enter URL for package here!
+LINK[21]="http://www.mplayerhq.hu/MPlayer/skins/new-age-1.0.tar.bz2"  #Enter URL for package here!
+LINK[22]="http://www.mplayerhq.hu/MPlayer/skins/pcland-1.0.tar.bz2" #Enter URL for package here!
+LINK[23]="http://www.mplayerhq.hu/MPlayer/skins/phony-1.1.tar.bz2"  #Enter URL for package here!
+LINK[24]="http://www.mplayerhq.hu/MPlayer/skins/plastic-1.2.tar.bz2"  #Enter URL for package here!
+LINK[25]="http://www.mplayerhq.hu/MPlayer/skins/plastik-2.0.tar.bz2"  #Enter URL for package here!
+LINK[26]="http://www.mplayerhq.hu/MPlayer/skins/productive-1.0.tar.bz2"  #Enter URL for package here!
+LINK[27]="http://www.mplayerhq.hu/MPlayer/skins/proton-1.2.tar.bz2"  #Enter URL for package here!
+LINK[28]="http://www.mplayerhq.hu/MPlayer/skins/sessene-1.0.tar.bz2"  #Enter URL for package here!
+LINK[29]="http://www.mplayerhq.hu/MPlayer/skins/slim-1.2.tar.bz2" #Enter URL for package here!
+LINK[30]="http://www.mplayerhq.hu/MPlayer/skins/smoothwebby-1.1.tar.bz2"  #Enter URL for package here!
+LINK[31]="http://www.mplayerhq.hu/MPlayer/skins/softgrip-1.1.tar.bz2" #Enter URL for package here!
+LINK[32]="http://www.mplayerhq.hu/MPlayer/skins/standard-1.9.tar.bz2"  #Enter URL for package here!
+LINK[33]="http://www.mplayerhq.hu/MPlayer/skins/trium-1.3.tar.bz2" #Enter URL for package here!
+LINK[34]="http://www.mplayerhq.hu/MPlayer/skins/tvisor-1.1.tar.bz2"  #Enter URL for package here!
+LINK[35]="http://www.mplayerhq.hu/MPlayer/skins/ultrafina-1.1.tar.bz2" #Enter URL for package here!
+LINK[36]="http://www.mplayerhq.hu/MPlayer/skins/webby-1.3.tar.bz2"  #Enter URL for package here!
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"1"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = i?86 ]]; then
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i486-slackware-linux"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-slackware-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
+fi
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for i in {1..36}
+do
+echo ${LINK[$i]} 
+for SRC in $(echo ${LINK[$i]});do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+       
+        wget --no-check-certificate -c $SRC
+fi
+done
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+mkdir -p $PKG
+mkdir -p $PKG/usr/share/mplayer/skins
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+cd $PKG/usr/share/mplayer/skins
+echo "Extracting source..."
+find $CWD -name "*tar.*" -exec tar xvf {} \; || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+
+
+#-----------------------------------------------------
+
+
+cd $TMP/$NAME-$VERSION
+
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
+#-----------------------------------------------------
+for i in $CWD/patches/*;do
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
+done
+#-----------------------------------------------------
+ 
+ 
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+mkdir -p $PKG/install/
+
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (Collections of Skins for MPlayer)
+$NAME:
+$NAME: This is the second of 2 collections of MPlayer skins that are 
+$NAME: available at http://www.mplayerhq.hu/MPlayer/skins/
+$NAME: 
+$NAME: 
+$NAME:
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: 
+$NAME: Website: http://www.mplayerhq.hu/MPlayer/skins/
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/mplayerskins_Part2/src/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+            |-----handy-ruler------------------------------------------------------|
+mplayerskins: mplayerskins (Collections of Skins for MPlayer)
+mplayerskins:
+mplayerskins: This is the second of 2 collections of MPlayer skins that are 
+mplayerskins: available at http://www.mplayerhq.hu/MPlayer/skins/
+mplayerskins: 
+mplayerskins: 
+mplayerskins:
+mplayerskins:
+mplayerskins: License: GPL
+mplayerskins: Authors: 
+mplayerskins: Website: http://www.mplayerhq.hu/MPlayer/skins/
+
+
+
+
+#----------------------------------------
+BUILDDATE: Sat Nov 17 01:07:14 MST 2012
+PACKAGER:  stretchedthin
+HOST:      Linux 3.0.8 i686
+DISTRO:    7.0 STD GOLD built on NOV-21-2011
+CFLAGS:    -O2 -march=i586 -mtune=i686 
+LDFLAGS:    
+CONFIGURE: 
+

File var/vabs/ted/src/docSectProperties.c

+/************************************************************************/
+/*									*/
+/*  Manipulate iten properties in a document.				*/
+/*									*/
+/************************************************************************/
+
+#   include	"docBaseConfig.h"
+
+#   include	<stdlib.h>
+
+#   include	<appDebugon.h>
+
+#   include	<utilPropMask.h>
+
+#   include	"docPropVal.h"
+#   include	"docSectProperties.h"
+
+#   define	MIN_COL_WIDE	( 20* 36 )
+#   define	MIN_GAP_WIDE	( 20* 12 )
+
+#   define	DEF_GAP_WIDE	( 20* 36 )
+
+/************************************************************************/
+/*									*/
+/*   Translate section property numbers to notes property numbers.	*/
+/*									*/
+/************************************************************************/
+
+const int DOCsectNOTE_PROP_MAP[FEPprop_COUNT]=
+{
+    SPpropFOOTNOTE_STARTNR,
+    SPpropFOOTNOTE_JUSTIFICATION,
+    -1, /* No SPpropFOOTNOTE_PLACEMENT, */
+    SPpropFOOTNOTE_RESTART,
+    SPpropFOOTNOTE_STYLE,
+
+    SPpropENDNOTE_STARTNR,
+    -1, /* No SPpropENDNOTE_JUSTIFICATION, */
+    -1, /* No SPpropENDNOTE_PLACEMENT, */
+    SPpropENDNOTE_RESTART,
+    SPpropENDNOTE_STYLE,
+};
+
+const int * const DOCsectFOOTNOTE_PROP_MAP= DOCsectNOTE_PROP_MAP;
+const int * const DOCsectENDNOTE_PROP_MAP= DOCsectNOTE_PROP_MAP+ NOTESprop_COUNT;
+
+static const int DocSectIntProps[]=
+    {
+    DGpropPAGE_WIDTH,
+    DGpropPAGE_HEIGHT,
+    DGpropLEFT_MARGIN,
+    DGpropRIGHT_MARGIN,
+    DGpropTOP_MARGIN,
+    DGpropBOTTOM_MARGIN,
+    DGpropHEADER_POSITION,
+    DGpropFOOTER_POSITION,
+    DGpropGUTTER,
+    DGpropMARGMIR,
+    SPpropSTYLE,
+    SPpropTITLEPG,
+    SPpropBREAK_KIND,
+    SPpropNUMBER_STYLE,
+    SPpropNUMBER_HYPHEN,
+    SPpropPAGE_RESTART,
+    SPpropSTART_PAGE,
+    SPpropCOLUMN_COUNT,
+    SPpropCOLUMN_SPACING,
+    SPpropLINEBETCOL,
+    SPpropFOOTNOTE_STARTNR,
+    SPpropFOOTNOTE_JUSTIFICATION,
+    /* No SPpropFOOTNOTE_PLACEMENT, */
+    SPpropFOOTNOTE_RESTART,
+    SPpropFOOTNOTE_STYLE,
+    SPpropENDNOTE_STARTNR,
+    /* No SPpropENDNOTE_JUSTIFICATION, */
+    /* No SPpropENDNOTE_PLACEMENT, */
+    SPpropENDNOTE_RESTART,
+    SPpropENDNOTE_STYLE,
+    };
+
+static const int DocSectIntPropCount= sizeof(DocSectIntProps)/sizeof(int);
+
+/************************************************************************/
+/*									*/
+/*  Fill a mask with notes properties that are relevant for a section.	*/
+/*  I.E: Set those section properties that are a note property.		*/
+/*									*/
+/************************************************************************/
+
+void docFillSectNotesMask(	PropertyMask *	spMask )
+    {
+    int		i;
+
+    for ( i= 0; i < FEPprop_COUNT; i++ )
+	{
+	if  ( DOCsectNOTE_PROP_MAP[i] >= 0 )
+	    { PROPmaskADD( spMask, DOCsectNOTE_PROP_MAP[i] );	}
+	}
+    }
+
+/************************************************************************/
+/*									*/
+/*  Make sure all column width are zero, or that none of them is.	*/
+/*									*/
+/************************************************************************/
+
+static void docSectCheckFixedColumnWidth( SectionProperties *	sp )
+    {
+    if  ( sp->spColumnCount > 1 )
+	{
+	int			haveZero= 0;
+	int			haveWidth= 0;
+	int			col;
+	SectionColumn *	sc;
+
+	sc= sp->spColumns;
+	for ( col= 0; col < sp->spColumnCount; sc++, col++ )
+	    {
+	    if  ( sc->scColumnWidthTwips == 0 )
+		{ haveZero++;	}
+	    else{ haveWidth++;	}
+	    }
+
+	if  ( haveZero && haveWidth )
+	    {
+	    sc= sp->spColumns;
+	    for ( col= 0; col < sp->spColumnCount; sc++, col++ )
+		{ sc->scColumnWidthTwips= 0; }
+	    }
+	}
+
+    return;
+    }
+
+/************************************************************************/
+/*									*/
+/*  Change section properties and tell what has been changed.		*/
+/*									*/
+/************************************************************************/
+
+int docUpdSectProperties(	PropertyMask *			pSpDoneMask,
+				SectionProperties *		spTo,
+				const PropertyMask *		spSetMask,
+				const SectionProperties *	spSet )
+    {
+    PropertyMask		doneMask;
+    int				p;
+
+    utilPropMaskClear( &doneMask );
+
+    for ( p= 0; p < DocSectIntPropCount; p++ )
+	{
+	int	prop= DocSectIntProps[p];
+	int	oval;
+	int	nval;
+
+	if  ( ! PROPmaskISSET( spSetMask, prop ) )
+	    { continue;	}
+
+	oval= docGetSectionProperty( spTo, prop );
+	nval= docGetSectionProperty( spSet, prop );
+
+	if  ( oval == nval )
+	    { continue;	}
+
+	if  ( docSetSectionProperty( spTo, prop, nval ) )
+	    { LLDEB(prop,nval); return -1;	}
+
+	PROPmaskADD( &doneMask, prop );
+	}
+
+    if  ( PROPmaskISSET( spSetMask, SPpropCOLUMN_COUNT ) )
+	{
+	if  ( spTo->spColumnCount != spSet->spColumnCount )
+	    {
+	    if  ( docSectionPropertiesSetColumnCount( spTo,
+						    spSet->spColumnCount ) )
+		{ LDEB(spSet->spColumnCount); return -1;	}
+
+	    PROPmaskADD( &doneMask, SPpropCOLUMN_COUNT );
+	    }
+	}
+
+    if  ( PROPmaskISSET( spSetMask, SPpropCOLUMNS ) )
+	{
+	int		count;
+
+	if  ( spTo->spColumnCount < spSet->spColumnCount )
+	    { count= spTo->spColumnCount;		}
+	else{ count= spSet->spColumnCount;		}
+
+	if  ( count > 1 )
+	    {
+	    const SectionColumn *	scFrom= spSet->spColumns;
+	    SectionColumn *		scTo= spTo->spColumns;
+	    int				col;
+
+	    for ( col= 0; col < count- 1; scTo++, scFrom++, col++ )
+		{
+		if  ( scTo->scColumnWidthTwips != scFrom->scColumnWidthTwips )
+		    {
+		    scTo->scColumnWidthTwips= scFrom->scColumnWidthTwips;
+		    PROPmaskADD( &doneMask, SPpropCOLUMNS );
+		    }
+		if  ( scTo->scSpaceToRightTwips != scFrom->scSpaceToRightTwips )
+		    {
+		    scTo->scSpaceToRightTwips= scFrom->scSpaceToRightTwips;
+		    PROPmaskADD( &doneMask, SPpropCOLUMNS );
+		    }
+		}
+	    if  ( scTo->scColumnWidthTwips != scFrom->scColumnWidthTwips )
+		{
+		scTo->scColumnWidthTwips= scFrom->scColumnWidthTwips;
+		PROPmaskADD( &doneMask, SPpropCOLUMNS );
+		}
+	    }
+	}
+
+    docSectCheckFixedColumnWidth( spTo );
+
+    if  ( pSpDoneMask )
+	{ *pSpDoneMask= doneMask;	}
+
+    return 0;
+    }
+
+void docSectPropertyDifference( PropertyMask *			pDiffMask,
+				const SectionProperties *	sp1,
+				const PropertyMask *		cmpMask,
+				const SectionProperties *	sp2 )
+    {
+    PropertyMask		diffMask;
+    int				p;
+
+    utilPropMaskClear( &diffMask );
+
+    for ( p= 0; p < DocSectIntPropCount; p++ )
+	{
+	int	prop= DocSectIntProps[p];
+	int	oval;
+	int	nval;
+
+	if  ( ! PROPmaskISSET( cmpMask, prop ) )
+	    { continue;	}
+
+	oval= docGetSectionProperty( sp1, prop );
+	nval= docGetSectionProperty( sp2, prop );
+
+	if  ( oval == nval )
+	    { continue;	}
+
+	PROPmaskADD( &diffMask, prop );
+	}
+
+    if  ( PROPmaskISSET( cmpMask, SPpropCOLUMNS ) )
+	{
+	int		count;
+
+	if  ( sp1->spColumnCount < sp2->spColumnCount )
+	    { count= sp1->spColumnCount;		}
+	else{ count= sp2->spColumnCount;		}
+
+	if  ( count > 1 )
+	    {
+	    const SectionColumn *	sc1= sp1->spColumns;
+	    const SectionColumn *	sc2= sp2->spColumns;
+	    int				col;
+
+	    for ( col= 0; col < count- 1; sc1++, sc2++, col++ )
+		{
+		if  ( sc1->scColumnWidthTwips != sc2->scColumnWidthTwips )
+		    { PROPmaskADD( &diffMask, SPpropCOLUMNS );	}
+		if  ( sc1->scSpaceToRightTwips != sc2->scSpaceToRightTwips )
+		    { PROPmaskADD( &diffMask, SPpropCOLUMNS ); }
+		}
+	    if  ( sc1->scColumnWidthTwips != sc2->scColumnWidthTwips )
+		{ PROPmaskADD( &diffMask, SPpropCOLUMNS ); }
+	    }
+	}
+
+    *pDiffMask= diffMask;
+    return;
+    }
+
+/************************************************************************/
+/*									*/
+/*  Clean, Initialize section properties.				*/
+/*									*/
+/************************************************************************/
+
+void docCleanSectionProperties(	SectionProperties *	sp )
+    {
+    if  ( sp->spColumns )
+	{ free( sp->spColumns );	}
+
+    return;
+    }
+
+void docInitSectionProperties(	SectionProperties *	sp )
+    {
+    utilInitDocumentGeometry( &(sp->spDocumentGeometry) );
+
+    sp->spStyle= 0;
+
+    sp->spColumnSpacingTwips= DEF_GAP_WIDE;
+    sp->spLineBetweenColumns= 0;
+
+    sp->spHasTitlePage= 0;
+    sp->spBreakKind= DOCibkPAGE;
+    sp->spPageNumberStyle= DOCpgnDEC;
+    sp->spPageNumberHyphen= DOCpgnhPGNHNSH;
+    sp->spRestartPageNumbers= 0;
+
+    sp->spColumnCount= 1;
+    sp->spColumns= (SectionColumn *)0;
+
+    sp->spStartPageNumber= 0;
+
+    docInitFootEndNotesProperties( &(sp->spNotesProperties) );
+
+    return;
+    }
+
+int docSectionPropertiesSetColumnCount(	SectionProperties *	sp,
+					int			n )
+    {
+    if  ( n > 1 && sp->spColumnCount < n )
+	{
+	SectionColumn *	sc= (SectionColumn *)realloc( sp->spColumns,
+						    n* sizeof(SectionColumn) );
+	if  ( ! sc )
+	    { LXDEB(n,sc); return -1;	}
+
+	sp->spColumns= sc;
+
+	if  ( sp->spColumnCount == 1 )
+	    {
+	    sc->scSpaceToRightTwips= 0;
+	    sc->scColumnWidthTwips= 0;
+	    }
+
+	sc= sp->spColumns+ sp->spColumnCount;
+	while( sp->spColumnCount < n )
+	    {
+	    sc->scSpaceToRightTwips= 0;
+	    sc->scColumnWidthTwips= 0;
+
+	    sc++; sp->spColumnCount++;
+	    }
+	}
+
+    sp->spColumnCount= n;
+    return 0;
+    }
+
+/************************************************************************/
+/*									*/
+/*  Copy SectionProperties.						*/
+/*									*/
+/*  NOTE that the headers and footers are not copied.			*/
+/*									*/
+/************************************************************************/
+
+int docCopySectionProperties(	SectionProperties *		to,
+				const SectionProperties *	from )
+    {
+    int		i;
+
+    if  ( docSectionPropertiesSetColumnCount( to, from->spColumnCount ) )
+	{ LDEB(from->spColumnCount); return -1;	}
+
+    to->spDocumentGeometry= from->spDocumentGeometry;
+
+    to->spStyle= from->spStyle;
+
+    to->spColumnSpacingTwips= from->spColumnSpacingTwips;
+    to->spLineBetweenColumns= from->spLineBetweenColumns;
+
+    to->spHasTitlePage= from->spHasTitlePage;
+    to->spBreakKind= from->spBreakKind;
+    to->spPageNumberStyle= from->spPageNumberStyle;
+    to->spPageNumberHyphen= from->spPageNumberHyphen;
+    to->spRestartPageNumbers= from->spRestartPageNumbers;
+
+    to->spStartPageNumber= from->spStartPageNumber;
+
+    /* docSectionPropertiesSetColumnCount() has allocated the memory */
+    if  ( from->spColumnCount > 1 )
+	{
+	for ( i= 0; i < from->spColumnCount; i++ )
+	    { to->spColumns[i]= from->spColumns[i];	}
+	}
+
+    to->spNotesProperties= from->spNotesProperties;
+
+    docSectCheckFixedColumnWidth( to );
+
+    return 0;
+    }
+
+int docSectSetEqualColumnWidth(	SectionProperties *	sp )
+    {
+    int				col;
+    SectionColumn *		sc;
+    const DocumentGeometry *	dg= &(sp->spDocumentGeometry);
+    int				pageWide;
+    int				colWide;
+
+    pageWide= dg->dgPageWideTwips-
+			    dg->dgLeftMarginTwips- dg->dgRightMarginTwips;
+
+    if  ( sp->spColumnCount < 2 )
+	{ return pageWide;	}
+
+    colWide= ( pageWide- ( sp->spColumnCount- 1 )*
+			    sp->spColumnSpacingTwips )/ sp->spColumnCount;
+
+    sc=  sp->spColumns;
+    for ( col= 0; col < sp->spColumnCount; sc++, col++ )
+	{
+	sc->scColumnWidthTwips= 0;
+	sc->scSpaceToRightTwips= 0;
+	}
+
+    return colWide;
+    }
+
+int docSectSetExplicitColumnWidth(	SectionProperties *	sp )
+    {
+    int				col;
+    SectionColumn *		sc;
+    const DocumentGeometry *	dg= &(sp->spDocumentGeometry);
+    int				pageWide;
+    int				colWide;
+
+    pageWide= dg->dgPageWideTwips-
+			    dg->dgLeftMarginTwips- dg->dgRightMarginTwips;
+
+    if  ( sp->spColumnCount < 2 )
+	{ LDEB(sp->spColumnCount); return -1;	}
+
+    colWide= ( pageWide- ( sp->spColumnCount- 1 )*
+			    sp->spColumnSpacingTwips )/ sp->spColumnCount;
+
+    if  ( colWide < MIN_COL_WIDE )
+	{ LLDEB(colWide,MIN_COL_WIDE); return -1;	}
+
+    sc=  sp->spColumns;
+    for ( col= 0; col < sp->spColumnCount; sc++, col++ )
+	{
+	sc->scColumnWidthTwips= colWide;
+	sc->scSpaceToRightTwips= sp->spColumnSpacingTwips;
+	}
+
+    return 0;
+    }
+
+/************************************************************************/
+/*									*/
+/*  Determine the column margins.					*/
+/*									*/
+/*  Because of gutters and/or mirrored margins, the page geometry is	*/
+/*  not necessarily identical to that in the section properties.	*/
+/*									*/
+/************************************************************************/
+
+void docSectGetColumnX(		int *				pXLine,
+				int *				pX0,
+				int *				pX1,
+				const SectionProperties *	sp,
+				const DocumentGeometry *	dgPage,
+				int				column )
+    {
+    int				x0= dgPage->dgLeftMarginTwips;
+    int				col;
+
+    if  ( sp->spColumnCount < 2 )
+	{
+	*pX0= dgPage->dgLeftMarginTwips;
+	*pX1= dgPage->dgPageWideTwips- dgPage->dgRightMarginTwips;
+	return;
+	}
+
+    for ( col= 0; col < column; col++ )
+	{
+	if  ( sp->spColumns[col].scColumnWidthTwips == 0 )
+	    { break;	}
+
+	x0 += sp->spColumns[col].scColumnWidthTwips;
+	x0 += sp->spColumns[col].scSpaceToRightTwips;
+	}
+
+    if  ( col < column || sp->spColumns[column].scColumnWidthTwips == 0 )
+	{
+	int		pageWide;
+	int		colWide;
+
+	pageWide= dgPage->dgPageWideTwips-
+			dgPage->dgLeftMarginTwips- dgPage->dgRightMarginTwips;
+
+	colWide= ( pageWide- ( sp->spColumnCount- 1 )*
+			sp->spColumnSpacingTwips )/ sp->spColumnCount;
+
+	x0= dgPage->dgLeftMarginTwips+
+			    column* ( colWide+ sp->spColumnSpacingTwips );
+
+	*pXLine= x0- sp->spColumnSpacingTwips/ 2;
+	*pX0= x0;
+	*pX1= x0+ colWide;
+	}
+    else{
+	if  ( column == 0 )
+	    {
+	    *pXLine= x0- sp->spColumnSpacingTwips/ 2;
+	    }
+	else{
+	    *pXLine= x0- sp->spColumns[column-1].scSpaceToRightTwips/ 2;
+	    }
+
+	*pX0= x0;
+	*pX1= x0+ sp->spColumns[column].scColumnWidthTwips;
+	}
+
+    return;
+    }
+
+/************************************************************************/
+/*									*/
+/*  Set a section property.						*/
+/*									*/
+/************************************************************************/
+
+int docSetSectionProperty(	SectionProperties *	sp,
+				int			prop,
+				int			arg )
+    {
+    DocumentGeometry *		dg= &(sp->spDocumentGeometry);
+
+    switch( prop )
+	{
+	case DGpropPAGE_WIDTH:
+	    dg->dgPageWideTwips= arg;
+	    break;
+	case DGpropPAGE_HEIGHT:
+	    dg->dgPageHighTwips= arg;
+	    break;
+
+	case DGpropLEFT_MARGIN:
+	    dg->dgLeftMarginTwips= arg;
+	    break;
+	case DGpropRIGHT_MARGIN:
+	    dg->dgRightMarginTwips= arg;
+	    break;
+	case DGpropTOP_MARGIN:
+	    dg->dgTopMarginTwips= arg;
+	    break;
+	case DGpropBOTTOM_MARGIN:
+	    dg->dgBottomMarginTwips= arg;
+	    break;
+
+	case DGpropHEADER_POSITION:
+	    if  ( arg != 0 )
+		{ dg->dgHeaderPositionTwips= arg; }
+	    break;
+	case DGpropFOOTER_POSITION:
+	    if  ( arg != 0 )
+		{ dg->dgFooterPositionTwips= arg; }
+	    break;
+
+	case DGpropGUTTER:
+	    dg->dgGutterTwips= arg;
+	    break;
+	case DGpropMARGMIR:
+	    dg->dgMirrorMargins= arg != 0;
+	    break;
+
+	case SPpropSTYLE:
+	    sp->spStyle= arg;
+	    break;
+
+	case SPpropTITLEPG:
+	    sp->spHasTitlePage= ( arg != 0 );
+	    break;
+
+	case SPpropBREAK_KIND:
+	    sp->spBreakKind= arg;
+	    break;
+
+	case SPpropNUMBER_STYLE:
+	    sp->spPageNumberStyle= arg;
+	    break;
+
+	case SPpropNUMBER_HYPHEN:
+	    sp->spPageNumberHyphen= arg;
+	    break;
+
+	case SPpropPAGE_RESTART:
+	    sp->spRestartPageNumbers= arg;
+	    break;
+
+	case SPpropSTART_PAGE:
+	    sp->spStartPageNumber= arg;
+	    break;
+
+	case SPpropCOLUMN_COUNT:
+	    if  ( docSectionPropertiesSetColumnCount( sp, arg ) )
+		{ LDEB(arg); return -1;	}
+	    break;
+
+	case SPpropCOLUMN_SPACING:
+	    sp->spColumnSpacingTwips= arg;
+	    break;
+	case SPpropLINEBETCOL:
+	    sp->spLineBetweenColumns= ( arg != 0 );
+	    break;
+
+	/* FOOTNOTE */
+	case SPpropFOOTNOTE_STARTNR:
+	    docSetNotesProperty( &(sp->spNotesProperties.fepFootnotesProps),
+						NOTESpropSTARTNR, arg );
+	    return 0;
+	case SPpropFOOTNOTE_JUSTIFICATION:
+	    docSetNotesProperty( &(sp->spNotesProperties.fepFootnotesProps),
+						NOTESpropJUSTIFICATION, arg );
+	    return 0;
+	/* No
+	case SPpropFOOTNOTE_PLACEMENT:
+	    docSetNotesProperty( &(sp->spNotesProperties.fepFootnotesProps),
+						NOTESpropPLACEMENT, arg );
+	    return 0;
+	*/
+	case SPpropFOOTNOTE_RESTART:
+	    docSetNotesProperty( &(sp->spNotesProperties.fepFootnotesProps),
+						NOTESpropRESTART, arg );
+	    return 0;
+	case SPpropFOOTNOTE_STYLE: